# Class Tomcat.DefaultWebXmlListener

java.lang.Object
org.apache.catalina.startup.Tomcat.DefaultWebXmlListener

All Implemented Interfaces:
  `LifecycleListener`

Enclosing class:
  `Tomcat`

public static class Tomcat.DefaultWebXmlListener extends Object implements LifecycleListener
Fix reload - required if reloading and using programmatic configuration. When a context is reloaded, any programmatic configuration is lost. This listener sets the equivalent of conf/web.xml when the context starts.

## Constructor Summary

Constructors
Constructor
Description
`DefaultWebXmlListener()`
Constructs a new DefaultWebXmlListener.

## Method Summary

Modifier and Type
Method
Description
`void`
`lifecycleEvent(LifecycleEvent event)`
Acknowledge the occurrence of the specified event.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultWebXmlListener

public DefaultWebXmlListener()
Constructs a new DefaultWebXmlListener.

## Method Details

### lifecycleEvent

public void lifecycleEvent(LifecycleEvent event)
Description copied from interface: `LifecycleListener`
Acknowledge the occurrence of the specified event.

Specified by:
  `lifecycleEvent` in interface `LifecycleListener`
Parameters:
  `event` - LifecycleEvent that has occurred